Enable AHCI mode and hide IDE controller to reduce boot time.
Note: enable AHCI in seabios and apply seabios patch:
http://www.mail-archive.com/seabios@seabios.org/msg00437.html

Signed-off-by: Scott Duplichan <scott@notabs.org>

Index: src/southbridge/amd/cimx_wrapper/sb800/cfg.c
===================================================================
--- src/southbridge/amd/cimx_wrapper/sb800/cfg.c	(revision 6551)
+++ src/southbridge/amd/cimx_wrapper/sb800/cfg.c	(working copy)
@@ -83,7 +83,7 @@
   	sb_config->SATAMODE.SataMode.SataController = SATA_CONTROLLER;
 	sb_config->SATAMODE.SataMode.SataIdeCombMdPriSecOpt = 0; //0 -IDE as primary, 1 -IDE as secondary.
 								//TODO: set to secondary not take effect.
-	sb_config->SATAMODE.SataMode.SataIdeCombinedMode = 0; //IDE controlor exposed and combined mode enabled
+	sb_config->SATAMODE.SataMode.SataIdeCombinedMode = 1; //IDE controllor is hidden
 	sb_config->SATAMODE.SataMode.SATARefClkSel = SATA_CLOCK_SOURCE;
 
   	/* Azalia HDA */
Index: src/southbridge/amd/cimx_wrapper/sb800/cfg.h
===================================================================
--- src/southbridge/amd/cimx_wrapper/sb800/cfg.h	(revision 6551)
+++ src/southbridge/amd/cimx_wrapper/sb800/cfg.h	(working copy)
@@ -109,7 +109,7 @@
  *   NOTE: DO NOT ALLOW SATA & IDE use same mode
  */
 #ifndef SATA_MODE
-  #define SATA_MODE			NATIVE_IDE_MODE
+  #define SATA_MODE			AHCI_MODE
 #endif
 
 /**
Index: src/southbridge/amd/cimx_wrapper/sb800/late.c
===================================================================
--- src/southbridge/amd/cimx_wrapper/sb800/late.c	(revision 6551)
+++ src/southbridge/amd/cimx_wrapper/sb800/late.c	(working copy)
@@ -138,10 +138,9 @@
 static const struct pci_driver sata_driver __pci_driver = {
 	.ops = &sata_ops,
 	.vendor = PCI_VENDOR_ID_ATI,
-	.device = PCI_DEVICE_ID_ATI_SB800_SATA, //SATA IDE Mode 4390
+	.device = 0x4391, // device ID for AHCI mode
 };
 
-
 #if CONFIG_USBDEBUG
 static void usb_set_resources(struct device *dev)
 {
